/**
 * Copyright (c) Cisco Systems, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
import { LitElement, PropertyValues } from "lit";
export declare namespace List {
    const ELEMENT_base: typeof LitElement & import("../../mixins/RovingTabIndexMixin").AnyConstructor<import("../../mixins/RovingTabIndexMixin").RovingTabIndexInterface & import("../../mixins/SlottedMixin").SlotableInterface & import("../../mixins/SlottedMixin").SlotableClass & import("../../mixins/RovingTabIndexMixin").RovingTabIndexClass>;
    export class ELEMENT extends ELEMENT_base {
        alignment: "horizontal" | "vertical";
        label: string;
        activated: number;
        listItemSlot?: HTMLSlotElement;
        private _role;
        protected firstUpdated(changedProperties: PropertyValues): void;
        private notifySelectedChange;
        /**
         * @override
         * Overridden isFocusable method.
         * @param {Element} slottedItem - The slotted item to check.
         * @returns {boolean} - Returns true if the slotted item does not have the "hidden" attribute, false otherwise.
         */
        private isFocusable;
        connectedCallback(): void;
        disconnectedCallback(): void;
        private findListItemIndex;
        private switchListItemOnArrowPress;
        private setActivated;
        private findSelectedListItemIndex;
        private setSelected;
        protected updated(changedProperties: PropertyValues): void;
        private isListItemDisabled;
        handleClick(event: MouseEvent): void;
        /**
         * Determines if an element should handle its own keyboard navigation
         * based on its role, attributes, and the key pressed.
         */
        private shouldElementHandleKey;
        handleKeyDown(event: KeyboardEvent): void;
        get slotElement(): HTMLSlotElement | undefined;
        static get styles(): import("lit").CSSResult[];
        render(): import("lit-html").TemplateResult<1>;
    }
    export {};
}
declare global {
    interface HTMLElementTagNameMap {
        "md-list": List.ELEMENT;
    }
}
